Uploaded image for project: 'Qt Automotive Suite'
  1. Qt Automotive Suite
  2. AUTOSUITE-1440

QtIvi can't be build from source because of an jinja2 version update

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P1: Critical
    • Resolution: Done
    • Affects Version/s: 5.12.0, 5.13.0, 5.12.1, 5.13.1, 5.13.2
    • Fix Version/s: 5.12.8, 5.13.2, 5.15.0
    • Component/s: Qt IVI
    • Labels:
      None
    • Commits:
      d34dc3416febbabecaab4bc9635d61ce16d9c81f (qt/qtivi/5.14) 26892fb308b7e3f3eb4b08cd1bb164f23dde15c4 (qt/qtivi/5.14) 56a3cd2a1eeae6181fedcf8e202fc2fd11e39585 (qt/qtinterfaceframework/dev) d6e8c0bc660e8624c0fd80d8bb644309f84207dd (qt/qtinterfaceframework/dev)

      Description

      When building QtIvi from source, jinja2 and other Qface dependencies are downloaded using pip and installed into a virtualenv.

      The dependencies needed and their versions are retrieved from the qface setup.py file. Because of a recent jinja2 patch release the newest jinja2 version is downloaded and used. This version is source incompatible to the previous version, which is now causing problems.

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              gagi Dominik Holland
              Reporter:
              gagi Dominik Holland
              Votes:
              1 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes